# # mask="True"
# model_name="qwen3_1_7b"
cd PLP_RC
model_name="qwen3_0_6b"
# for mode in span_only
for mode in dataset_list_addtype
do 
    for dataset in tacred tacrev re-tacred
    # for dataset in tacred 
    # for dataset in tacred tacrev
    # for dataset in re-tacred
    do
        for method in fhead_add_ftail 
        do
            echo $dataset
            echo $method
            echo $mode
            nohup torchrun --nproc_per_node=2 --master_port 29502 train_tacred_qwen3.py  --forward_method $method --dataset $dataset --mode $mode --model_name $model_name 2>&1 > 0819_${model_name}_${mode}log_dataset_${dataset}_method_${method}_3attntxt_batch24_lr3e-5_constant_left_right_avg_addtypecatembcatcls_notype_woinstruction.txt
        done
    done
done